#
# spec file for package python-azure-defender-easm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define realversion 1.0.0b1

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-defender-easm
Version:        1.0.0~b1
Release:        1.1
Summary:        Microsoft EASM Data Plane Client Client Library for Python
License:        MIT
URL:            https://github.com/Azure/azure-sdk-for-python/tree/main/sdk
Source:         https://files.pythonhosted.org/packages/source/a/azure-defender-easm/azure-defender-easm-%{realversion}.zip
BuildRequires:  %{python_module azure-core >= 1.24.0}
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module isodate >= 0.6.1}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-core >= 1.24.0
Requires:       python-azure-nspkg >= 3.0.0
Requires:       python-isodate >= 0.6.1
Requires:       (python-typing_extensions >= 4.3.0 if python-base < 3.8)
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
Microsoft Defender External Attack Surface Management (Defender EASM) continuously discovers
and maps your digital attack surface to provide an external view of your online infrastructure.

This visibility enables security and IT teams to identify unknowns, prioritize risk, eliminate
threats, and extend vulnerability and exposure control beyond the firewall. Defender EASM
leverages Microsoft’s crawling technology to discover assets that are related to your known online
infrastructure, and actively scans these assets to discover new connections over time.

Attack Surface Insights are generated by leveraging vulnerability and infrastructure data to
showcase the key areas of concern for your organization.

%prep
%setup -q -n azure-defender-easm-%{realversion}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%dir %{python_sitelib}/azure/defender
%{python_sitelib}/azure/defender/easm
%{python_sitelib}/azure_defender_easm-*.egg-info

%changelog
* Tue Feb 13 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Drop extra LICENSE.txt as upstream now ships its own
* Mon Mar  6 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.0.0b1
